package com.ruoyi.orderPlan.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单主对象 F_TMSORDERBILLS
 *
 * @author ruoyi
 * @date 2021-02-22
 */
@Data
public class Ftmsorderbills extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 编号两位前缀+YYMMNNNN */
    @Excel(name = "编号两位前缀+YYMMNNNN")
    private String billNo;

    /** 活动号 */
    @Excel(name = "活动号")
    private Long actId;

    /** 客户id */
    @Excel(name = "客户id")
    private Long corpId;

    /** 调度员id */
    @Excel(name = "调度员id")
    private Long planUserId;

    /** 业务员id */
    @Excel(name = "业务员id")
    private String transUserName;

    /** 调度员id */
    @Excel(name = "调度员id")
    private String planUserName;

    /** 1进口2出口3内贸4其他 */
    @Excel(name = "1进口2出口3内贸4其他")
    private Long billType;

    /** 业务员id */
    @Excel(name = "业务员id")
    private Long transUserId;

    /** 1集装箱2大件3散货 */
    @Excel(name = "1集装箱2大件3散货")
    private String transType;

    /** 1重去重回2重去空回3空去重回 */
    @Excel(name = "1重去重回2重去空回3空去重回")
    private String transProp;

    /** 是否有合同(1有，0没有) */
    @Excel(name = "是否有合同(1有，0没有)")
    private String ifContracted;

    /** 合同号 */
    @Excel(name = "合同号")
    private String contractNo;

    /** 参考号 */
    @Excel(name = "参考号")
    private String refNo;

    /** 账期类型：天数、月底 */
    @Excel(name = "账期类型：天数、月底")
    private Long accstlType;

    /** 账期天数 */
    @Excel(name = "账期天数")
    private Long accdays;

    /** 品名id */
    @Excel(name = "品名id")
    private Long goodsId;

    /** 货值 */
    @Excel(name = "货值")
    private BigDecimal goodsPrice;

    /** 损耗类型：公斤、千分百 */
    @Excel(name = "损耗类型：公斤、千分百")
    private String goodsLossType;

    /** 耗损标准 */
    @Excel(name = "耗损标准")
    private BigDecimal goodsLossStd;

    /** 提单号 */
    @Excel(name = "提单号")
    private String mblno;

    /** 船名 */
    @Excel(name = "船名")
    private String ysl;

    /** 航次 */
    @Excel(name = "航次")
    private String voy;

    /** 起运港ID */
    @Excel(name = "起运港ID")
    private Long polId;

    /** 计划件数或总箱量 */
    @Excel(name = "计划件数或总箱量")
    private BigDecimal qtyPlan;

    /** 目的港ID */
    @Excel(name = "目的港ID")
    private Long podId;

    /** 已安排数 */
    @Excel(name = "已安排数")
    private Long qtyDisPatch;

    /** 计划重量 */
    @Excel(name = "计划重量")
    private BigDecimal weightPlan;

    /** 箱型箱量明细表自动生成 */
    @Excel(name = "箱型箱量明细表自动生成")
    private String cntrDesc;

    /** 车号列表，根据派车自动生成 */
    @Excel(name = "车号列表，根据派车自动生成")
    private String carNoList;

    /** 装车地 */
    @Excel(name = "装车地")
    private String loadAddr;

    /** 装车联系人 */
    @Excel(name = "装车联系人")
    private String loadAttn;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String loadAttntel;

    /** 要求装车时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求装车时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loadDate;

    /** 装卸货地 */
    @Excel(name = "装卸货地")
    private String mdLoadAddr;

    /** 装卸货联系人 */
    @Excel(name = "装卸货联系人")
    private String mdLoadAttn;

    /** 装卸货联系电话 */
    @Excel(name = "装卸货联系电话")
    private String mdLoadAttnTel;

    /** 要求装卸货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求装卸货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date mdLoadDate;

    /** 卸车地 */
    @Excel(name = "卸车地")
    private String unLoadAddr;

    /** 卸车联系人 */
    @Excel(name = "卸车联系人")
    private String unLoadAttn;

    /** 卸车联系电话 */
    @Excel(name = "卸车联系电话")
    private String unLoadAttnTel;

    /** 要求卸车时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求卸车时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date unLoadDate;

    /** 规定线路(将来会做基础资料) */
    @Excel(name = "规定线路(将来会做基础资料)")
    private Long routeId;

    /** 线路描述 */
    @Excel(name = "线路描述")
    private String routeDesc;

    /** 是否要求回单(1要求，0不要求) */
    @Excel(name = "是否要求回单(1要求，0不要求)")
    private String ifWaybill;

    /** 是否要求开票(1要求，0不要求) */
    @Excel(name = "是否要求开票(1要求，0不要求)")
    private String ifNeedinvDr;

    /** 业务完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date postDate;

    /** 状态(1新建，2暂存，6提交) */
    @Excel(name = "状态(1新建，2暂存，6提交)")
    private Long billStatus;

    /** 车队派车列表页默认未完成状态1，2查看全部状态数据 */
    private Long planStatus;

    /** 计划下达列表页默认未完成状态1，2查看全部状态数据 */
    private Long incompleteStatus;

    /** 业务调度下达列表页默认未完成状态1，2查看全部状态数据 */
    private Long dispatchStatus;

    /** 删除状态 */
    private String delFlag;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 派车状态
     */
    private Long planBillStatus;

    /**
     * 接单状态
     */
    private Long orderStatus;

    /**
     * 接单状态
     */
    private String carStatus;

    /**
     * 是否显示全部数据
     */
    private String modeStatus;

    /**
     * 车号
     */
    private String carregNo;

    /**
     * 司机电话
     */
    private String driverTel;

    /**
     * 司机电话
     */
    private String invoiceType;

    /**
     * 查询下单时间区间
     */
    private List<String> planDate;

    /**
     * 查询司机提箱时间区间
     */
    private List<String> cLoadDate;

    /**
     * 查询司机接单时间区间
     */
    private List<String> acceptDateList;

    /**
     * 查询派车数量的时间区间
     */
    private List<String> currentDay;

    /** 是否是区分车队 */
    private String isFleet;

    /** 运单号 */
    private String orderNo;

    /** 主运单号 */
    private String mBillNo;

    /** 业务类型 */
    private String billKind;

    /** 车队id */
    private Long fleetId;

    /** 查询时间区间需要传入参数 */
    private String loadDateBegin;
    private String loadDateEnd;

    public String getLoadDateBegin() {
        return loadDateBegin;
    }

    public void setLoadDateBegin(String loadDateBegin) {
        this.loadDateBegin = loadDateBegin;
    }

    public String getLoadDateEnd() {
        return loadDateEnd;
    }

    public void setLoadDateEnd(String loadDateEnd) {
        this.loadDateEnd = loadDateEnd;
    }

    public String getIsFleet() {
        return isFleet;
    }

    public void setIsFleet(String isFleet) {
        this.isFleet = isFleet;
    }

    public Long getPlanStatus() {
        return planStatus;
    }

    public Long getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(Long dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public void setPlanStatus(Long planStatus) {
        this.planStatus = planStatus;
    }

    public Long getIncompleteStatus() {
        return incompleteStatus;
    }

    public void setIncompleteStatus(Long incompleteStatus) {
        this.incompleteStatus = incompleteStatus;
    }

    public Long getPlanBillStatus() {
        return planBillStatus;
    }

    public void setPlanBillStatus(Long planBillStatus) {
        this.planBillStatus = planBillStatus;
    }

    public Long getFleetId() {
        return fleetId;
    }

    public void setFleetId(Long fleetId) {
        this.fleetId = fleetId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getmBillNo() {
        return mBillNo;
    }

    public void setmBillNo(String mBillNo) {
        this.mBillNo = mBillNo;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public Long getActId() {
        return actId;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Long getPlanUserId() {
        return planUserId;
    }

    public void setPlanUserId(Long planUserId) {
        this.planUserId = planUserId;
    }

    public String getTransUserName() {
        return transUserName;
    }

    public void setTransUserName(String transUserName) {
        this.transUserName = transUserName;
    }

    public String getPlanUserName() {
        return planUserName;
    }

    public void setPlanUserName(String planUserName) {
        this.planUserName = planUserName;
    }

    public Long getBillType() {
        return billType;
    }

    public void setBillType(Long billType) {
        this.billType = billType;
    }

    public Long getTransUserId() {
        return transUserId;
    }

    public void setTransUserId(Long transUserId) {
        this.transUserId = transUserId;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }

    public String getTransProp() {
        return transProp;
    }

    public void setTransProp(String transProp) {
        this.transProp = transProp;
    }

    public String getIfContracted() {
        return ifContracted;
    }

    public void setIfContracted(String ifContracted) {
        this.ifContracted = ifContracted;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getRefNo() {
        return refNo;
    }

    public void setRefNo(String refNo) {
        this.refNo = refNo;
    }

    public Long getAccstlType() {
        return accstlType;
    }

    public void setAccstlType(Long accstlType) {
        this.accstlType = accstlType;
    }

    public Long getAccdays() {
        return accdays;
    }

    public void setAccdays(Long accdays) {
        this.accdays = accdays;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public BigDecimal getGoodsPrice() {
        return goodsPrice;
    }

    public void setGoodsPrice(BigDecimal goodsPrice) {
        this.goodsPrice = goodsPrice;
    }

    public String getGoodsLossType() {
        return goodsLossType;
    }

    public void setGoodsLossType(String goodsLossType) {
        this.goodsLossType = goodsLossType;
    }

    public BigDecimal getGoodsLossStd() {
        return goodsLossStd;
    }

    public void setGoodsLossStd(BigDecimal goodsLossStd) {
        this.goodsLossStd = goodsLossStd;
    }

    public String getMblno() {
        return mblno;
    }

    public void setMblno(String mblno) {
        this.mblno = mblno;
    }

    public String getYsl() {
        return ysl;
    }

    public void setYsl(String ysl) {
        this.ysl = ysl;
    }

    public String getVoy() {
        return voy;
    }

    public void setVoy(String voy) {
        this.voy = voy;
    }

    public Long getPolId() {
        return polId;
    }

    public void setPolId(Long polId) {
        this.polId = polId;
    }

    public BigDecimal getQtyPlan() {
        return qtyPlan;
    }

    public void setQtyPlan(BigDecimal qtyPlan) {
        this.qtyPlan = qtyPlan;
    }

    public Long getPodId() {
        return podId;
    }

    public void setPodId(Long podId) {
        this.podId = podId;
    }

    public Long getQtyDisPatch() {
        return qtyDisPatch;
    }

    public void setQtyDisPatch(Long qtyDisPatch) {
        this.qtyDisPatch = qtyDisPatch;
    }

    public BigDecimal getWeightPlan() {
        return weightPlan;
    }

    public void setWeightPlan(BigDecimal weightPlan) {
        this.weightPlan = weightPlan;
    }

    public String getCntrDesc() {
        return cntrDesc;
    }

    public void setCntrDesc(String cntrDesc) {
        this.cntrDesc = cntrDesc;
    }

    public String getCarNoList() {
        return carNoList;
    }

    public void setCarNoList(String carNoList) {
        this.carNoList = carNoList;
    }

    public String getLoadAddr() {
        return loadAddr;
    }

    public void setLoadAddr(String loadAddr) {
        this.loadAddr = loadAddr;
    }

    public String getLoadAttn() {
        return loadAttn;
    }

    public void setLoadAttn(String loadAttn) {
        this.loadAttn = loadAttn;
    }

    public String getLoadAttntel() {
        return loadAttntel;
    }

    public void setLoadAttntel(String loadAttntel) {
        this.loadAttntel = loadAttntel;
    }

    public Date getLoadDate() {
        return loadDate;
    }

    public void setLoadDate(Date loadDate) {
        this.loadDate = loadDate;
    }

    public String getMdLoadAddr() {
        return mdLoadAddr;
    }

    public void setMdLoadAddr(String mdLoadAddr) {
        this.mdLoadAddr = mdLoadAddr;
    }

    public String getMdLoadAttn() {
        return mdLoadAttn;
    }

    public void setMdLoadAttn(String mdLoadAttn) {
        this.mdLoadAttn = mdLoadAttn;
    }

    public String getMdLoadAttnTel() {
        return mdLoadAttnTel;
    }

    public void setMdLoadAttnTel(String mdLoadAttnTel) {
        this.mdLoadAttnTel = mdLoadAttnTel;
    }

    public Date getMdLoadDate() {
        return mdLoadDate;
    }

    public void setMdLoadDate(Date mdLoadDate) {
        this.mdLoadDate = mdLoadDate;
    }

    public String getUnLoadAddr() {
        return unLoadAddr;
    }

    public void setUnLoadAddr(String unLoadAddr) {
        this.unLoadAddr = unLoadAddr;
    }

    public String getUnLoadAttn() {
        return unLoadAttn;
    }

    public void setUnLoadAttn(String unLoadAttn) {
        this.unLoadAttn = unLoadAttn;
    }

    public String getUnLoadAttnTel() {
        return unLoadAttnTel;
    }

    public void setUnLoadAttnTel(String unLoadAttnTel) {
        this.unLoadAttnTel = unLoadAttnTel;
    }

    public Date getUnLoadDate() {
        return unLoadDate;
    }

    public void setUnLoadDate(Date unLoadDate) {
        this.unLoadDate = unLoadDate;
    }

    public Long getRouteId() {
        return routeId;
    }

    public void setRouteId(Long routeId) {
        this.routeId = routeId;
    }

    public String getRouteDesc() {
        return routeDesc;
    }

    public void setRouteDesc(String routeDesc) {
        this.routeDesc = routeDesc;
    }

    public String getIfWaybill() {
        return ifWaybill;
    }

    public void setIfWaybill(String ifWaybill) {
        this.ifWaybill = ifWaybill;
    }

    public String getIfNeedinvDr() {
        return ifNeedinvDr;
    }

    public void setIfNeedinvDr(String ifNeedinvDr) {
        this.ifNeedinvDr = ifNeedinvDr;
    }

    public Date getPostDate() {
        return postDate;
    }

    public void setPostDate(Date postDate) {
        this.postDate = postDate;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Long getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Long orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getCarStatus() {
        return carStatus;
    }

    public void setCarStatus(String carStatus) {
        this.carStatus = carStatus;
    }

    public String getCarregNo() {
        return carregNo;
    }

    public void setCarregNo(String carregNo) {
        this.carregNo = carregNo;
    }

    public String getDriverTel() {
        return driverTel;
    }

    public void setDriverTel(String driverTel) {
        this.driverTel = driverTel;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public List<String> getPlanDate() {
        return planDate;
    }

    public void setPlanDate(List<String> planDate) {
        this.planDate = planDate;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public List<String> getcurrentDay() {
        return currentDay;
    }

    public void setcurrentDay(List<String> currentDay) {
        this.currentDay = currentDay;
    }

    public List<String> getAcceptDateList() {
        return acceptDateList;
    }

    public void setAcceptDateList(List<String> acceptDateList) {
        this.acceptDateList = acceptDateList;
    }

    public String getBillKind() {
        return billKind;
    }

    public void setBillKind(String billKind) {
        this.billKind = billKind;
    }

    public String getModeStatus() {
        return modeStatus;
    }

    public void setModeStatus(String modeStatus) {
        this.modeStatus = modeStatus;
    }

    @Override
    public String toString() {
        return "Ftmsorderbills{" +
                "id=" + id +
                ", billNo='" + billNo + '\'' +
                ", actId=" + actId +
                ", corpId=" + corpId +
                ", planUserId=" + planUserId +
                ", transUserName='" + transUserName + '\'' +
                ", planUserName='" + planUserName + '\'' +
                ", billType=" + billType +
                ", transUserId=" + transUserId +
                ", transType='" + transType + '\'' +
                ", transProp='" + transProp + '\'' +
                ", ifContracted='" + ifContracted + '\'' +
                ", contractNo='" + contractNo + '\'' +
                ", refNo='" + refNo + '\'' +
                ", accstlType=" + accstlType +
                ", accdays=" + accdays +
                ", goodsId=" + goodsId +
                ", goodsPrice=" + goodsPrice +
                ", goodsLossType='" + goodsLossType + '\'' +
                ", goodsLossStd=" + goodsLossStd +
                ", mblno='" + mblno + '\'' +
                ", ysl='" + ysl + '\'' +
                ", voy='" + voy + '\'' +
                ", polId=" + polId +
                ", qtyPlan=" + qtyPlan +
                ", podId=" + podId +
                ", qtyDisPatch=" + qtyDisPatch +
                ", weightPlan=" + weightPlan +
                ", cntrDesc='" + cntrDesc + '\'' +
                ", carNoList='" + carNoList + '\'' +
                ", loadAddr='" + loadAddr + '\'' +
                ", loadAttn='" + loadAttn + '\'' +
                ", loadAttntel='" + loadAttntel + '\'' +
                ", loadDate=" + loadDate +
                ", mdLoadAddr='" + mdLoadAddr + '\'' +
                ", mdLoadAttn='" + mdLoadAttn + '\'' +
                ", mdLoadAttnTel='" + mdLoadAttnTel + '\'' +
                ", mdLoadDate=" + mdLoadDate +
                ", unLoadAddr='" + unLoadAddr + '\'' +
                ", unLoadAttn='" + unLoadAttn + '\'' +
                ", unLoadAttnTel='" + unLoadAttnTel + '\'' +
                ", unLoadDate=" + unLoadDate +
                ", routeId=" + routeId +
                ", routeDesc='" + routeDesc + '\'' +
                ", ifWaybill='" + ifWaybill + '\'' +
                ", ifNeedinvDr='" + ifNeedinvDr + '\'' +
                ", postDate=" + postDate +
                ", billStatus=" + billStatus +
                ", delFlag='" + delFlag + '\'' +
                ", remarks='" + remarks + '\'' +
                ", planBillStatus='" + planBillStatus + '\'' +
                ", orderStatus=" + orderStatus +
                ", carStatus='" + carStatus + '\'' +
                ", modeStatus='" + modeStatus + '\'' +
                ", carregNo='" + carregNo + '\'' +
                ", driverTel='" + driverTel + '\'' +
                ", invoiceType='" + invoiceType + '\'' +
                ", planDate=" + planDate +
                ", cLoadDate=" + cLoadDate +
                ", acceptDateList=" + acceptDateList +
                ", currentDay=" + currentDay +
                ", isFleet='" + isFleet + '\'' +
                ", orderNo='" + orderNo + '\'' +
                ", mBillNo='" + mBillNo + '\'' +
                ", billKind='" + billKind + '\'' +
                ", fleetId=" + fleetId +
                '}';
    }
}
